<?php
//****************************************请求权限*****************************************
require("locked.php");                                                                 //*
setlocked(8,会计凭证—恩格会计管理系统);                                                     //*
//****************************************************************************************

include("header.php"); 

?>

<link rel="stylesheet" href="myCss.css" type="text/css" />
<script language="javascript" type="text/javascript" src="myJs.js"></script>

<script language="javascript" type="text/javascript">
<!--
var intCurrentI;//定义会计凭证中查找会计科目文本框ID序号；
var intMaxTableTr;//定义会计凭证表格新增行最大ID序号，仅累加；
var intCurrentLine;//定义会计科目(核算项目)提示表格上下移动键的行号；
var strXmNameId;//定义项目提示的活动文本框ID；
var array1=Array(); //弹出项目DIV中的项目名称（数组形式保存）；

intMaxTableTr=10;

function showAccount(txtSearch){
	//会计科目提示Ajax关键代码；
	//当键盘按下Tab(9),Enter(13),↑(38),↓(40)键时，程序中止执行；
	var e=window.event||e||arguments.callee.caller.arguments[0];
	var currKey=e.keyCode;
	if(currKey==9 || currKey==13 || currKey==38 || currKey==40){
		return;
	}
	
	intCurrentI=(txtSearch.id).slice(4);//从控件的ID中截取控件的序号；
	intCurrentLine=0;
	
    request.open("GET","V_accountSearch.php?searchText="+encodeURIComponent(document.getElementById(txtSearch.id).value));
    
	if(document.getElementById(txtSearch.id).value.length>0){
		request.onreadystatechange=function(){
			if(request.readyState==4){
				if(request.status==200){
					document.getElementById("divV"+intCurrentI).style.display="block";
					document.getElementById("divV"+intCurrentI).innerHTML="";
					document.getElementById("divV"+intCurrentI).innerHTML=request.responseText;
				}
			}
		}
		request.send(null);
	}
		else{
			document.getElementById("divV"+intCurrentI).style.display="none";
	}		
}

function showXM(txtSearch){
	//核算项目提示Ajax关键代码；
	//当键盘按下Tab(9),Enter(13),↑(38),↓(40)键时，程序中止执行；
	var e=window.event||e||arguments.callee.caller.arguments[0];
	var currKey=e.keyCode;
	if(currKey==9 || currKey==13 || currKey==38 || currKey==40){
		return;
	}

	/*
	txtSearch.id 的样式如下：
	客户，供应商，现金流量……
	可以看出，控件根据标记的项目各自命名；
	*/
	intCurrentLine=0;
	strXmNameId=txtSearch.id;

    request.open("GET","V_projectSearch.php?searchText="+encodeURIComponent(document.getElementById(txtSearch.id).value)+"&searchTable="+encodeURIComponent(txtSearch.id));
    
	if(document.getElementById(txtSearch.id).value.length>0){
		request.onreadystatechange=function(){
			if(request.readyState==4){
				if(request.status==200){
					document.getElementById('divsg'+txtSearch.id).style.display="block";
					document.getElementById('divsg'+txtSearch.id).innerHTML="";
					document.getElementById('divsg'+txtSearch.id).innerHTML=request.responseText;
				}
			}
		}
		request.send(null);
	}
		else{
			document.getElementById('divsg'+txtSearch.id).style.display="none";
	}		
}

function trMouseover(tableTr){//鼠标经过表格行时的颜色；
	tableTr.style.background="yellow";
}

function trMouseout(tableTr){//鼠标离开表格行时的颜色；
	tableTr.style.background="white";
}

function trClick(tableTr){
	//根据同行的第三列生成项目数组（是在txtF存在值的情况下操作）；
	var arrinfoF=new Array();
	var arrinfoFsub=new Array();
	var arrinfoXM=new Array();
	arrinfoF=(document.getElementById("txtF"+intCurrentI).value).split("/");
	for(var i=0;i<arrinfoF.length;i++){
		arrinfoFsub=arrinfoF[i].split("-");
		//alert(arrinfoFsub[0]+';'+arrinfoFsub[1]+';'+arrinfoFsub[2]);
		arrinfoXM.push(arrinfoFsub[0]);
		arrinfoXM.push(arrinfoFsub[1]);
		arrinfoXM.push(arrinfoFsub[2]);
	}
	//鼠标单击会计科目提示表格行时动作；
	document.getElementById("txtV"+intCurrentI).value=trim(tableTr.cells[0].innerHTML);
	document.getElementById("txtF"+intCurrentI).value=trim(tableTr.cells[0].innerHTML)+"-"+trim(tableTr.cells[1].innerHTML);
	//===========================================弹出核算项目输入界面；===========================================
	var $xm=trim(tableTr.cells[2].innerHTML);
	if($xm!=="空白"){
		document.getElementById("bg").style.display="block";
		document.getElementById("bg").style.height=document.body.scrollHeight;//网页正文全页高；
		document.getElementById("showForm").style.display="block";
		document.getElementById("showForm").style.top=document.body.scrollTop+150+"px";//网页被卷去的高+150px；
		//生成弹出界面元素；
		array1=$xm.split("/");//将会计科目提示表格中所选第三列值生成数组；
		document.getElementById("showForm").innerHTML="";
		for(var i=0;i<array1.length;i++){
			//查找字符串是否在数组中，并得出在数组的下标值，然后找出后面两个跟着的数组值；
			var s=arrinfoXM.indexOf(array1[i]);
			if(s==-1){//说明没有找到对应的项目；
				arrinfoXM[s+1]="";
				arrinfoXM[s+2]="";
			}
			if(array1[i]=="数量外币"){
				document.getElementById("showForm").innerHTML+='<table><tr><td width="100px"><font color="white">'+array1[i]+'</font></td>'
					+'<td><input id='+array1[i]+' type="text" value="'+arrinfoXM[s+1]+'" /></td></tr></table>';
			}else{
				document.getElementById("showForm").innerHTML+='<table><tr><td width="100px">'
					+'<input type="button" value="'+array1[i]+'" onclick="javascript:openInsertJCZL(this)" /></td>'
					+'<td><input id='+array1[i]+' type="text" onkeyup="showXM(this)" onkeyDown="kd()" value="'+arrinfoXM[s+1]+'" />'
					+'<br /><div id=divsg'+array1[i]+' style="display:none;position:absolute;background:blue;width:auto;height:270px;overflow:scroll;"></div></td>'
					+'<td><font color="white"><div id=divmx'+array1[i]+'>'+arrinfoXM[s+2]+'</div></font></td></tr></table>';
			}
		}
		document.getElementById("showForm").innerHTML+='<br /><input id="save1" type="button" onclick="closeShowForm();" value="数据暂存" />';
		document.getElementById(array1[0]).focus();
	}
	//============================================================================================================
	document.getElementById("divV"+intCurrentI).innerHTML="";
	document.getElementById("divV"+intCurrentI).style.display="none";
	if($xm=="空白"){
		document.getElementById("txtV"+intCurrentI).focus();
	}
}

function openInsertJCZL(obj){
	//打开新增基础资料界面；
	var sta="height=250,width=550,top="+(window.screen.availHeight-250)/2+",left="+(window.screen.availWidth-550)/2;
        sta=sta+",toolbar=no,menubar=no,scrollbars=no,resizable=no,location=no,status=no";
	var url="jc_Insert.php?keyword="+obj.value;
	//alert(url);
	window.open(url,"",sta);
}

function openInsertAccount(){
	//打开会计科目新增页面；
	var sta="height=480,width=550,top="+(window.screen.availHeight-480)/2+",left="+(window.screen.availWidth-550)/2;
        sta=sta+",toolbar=no,menubar=no,scrollbars=no,resizable=no,location=no,status=no";
	var url="account_Insert.php"
	window.open(url,"",sta);
}

function trClickXM(tableTr){
	//鼠标单击核算项目提示表格行时动作；
	var tbl3=document.getElementById("tbl3");//核算项目提示表格；
	if(tbl3!=null){
		document.getElementById(strXmNameId).value=trim(tableTr.cells[0].innerHTML);
		document.getElementById("divmx"+strXmNameId).innerHTML=trim(tableTr.cells[1].innerHTML);
		document.getElementById("divsg"+strXmNameId).innerHTML="";
		document.getElementById("divsg"+strXmNameId).style.display="none";
	}
}

function closeShowForm(){
	
	//将项目资料写入会计凭证中的全称中；
    for(var i=0;i<array1.length;i++){
		//检查所有的项目资料是否为空；
		if(document.getElementById(array1[i]).value==""){
			alert("请保持项目资料的完整!");
			document.getElementById(array1[i]).focus();
			return false;
		}
	}
	
	var tbl3=document.getElementById("tbl3");//核算项目提示表格；
	if(tbl3){
		alert("请使用选择器录入项目代码！");
		return false;
	}
	
	//循环构造字符串；
	var strXM;
	for(var i=0;i<array1.length;i++){
		if(strXM==undefined || strXM==""){
			strXM=array1[i]+','+document.getElementById(array1[i]).value;
		}else{
			strXM+=';'+array1[i]+','+document.getElementById(array1[i]).value;
		}
	}
	
	//alert(strXM);
	
	//验证所有的项目资料代码是否均存在于项目表中；验证文件为V_projectCheck.php,向该文件传递表名和文本框输入值；
	request.open("GET","V_projectCkeck.php?arrXM="+encodeURIComponent(strXM));
	request.onreadystatechange=function(){
	  if(request.readyState==4){
		  if(request.status==200){
			  //alert(request.responseText);
			  if(trim(request.responseText)=="acc_no"){
				  alert("项目资料填写不正确，请检查！");
			  }else{
				  //通过检查后将项目资料提交到全称中；
				  var strXms="";
				  for(var i=0;i<array1.length;i++){
					  if(array1[i]=="数量外币"){
						  strXms+="/"+array1[i]+"-"+document.getElementById(array1[i]).value;
					  }else{
						  strXms+="/"+array1[i]+"-"+trim(document.getElementById(array1[i]).value)+"-"+document.getElementById("divmx"+array1[i]).innerHTML;
					  }
				  }
				  document.getElementById("txtF"+intCurrentI).value+=strXms;
				  document.getElementById("bg").style.display="none";
				  document.getElementById("showForm").style.display="none";
				  document.getElementById("txtDR"+intCurrentI).focus();
			  }
		  }
	   }
	}
	request.send(null);	
	
}

function kd(){
	//鼠标单击或键盘按下会计科目列表，自动根据会计科目信息加载项算项目信息；
	var tbl2=document.getElementById("tbl2");//会计科目提示表格；
	var tbl3=document.getElementById("tbl3");//核算项目提示表格；
	
	//判断表格控件是否存在；
	if(tbl2!=null){
		var tr=tbl2.getElementsByTagName("tr");
	}else if(tbl3!=null){
		var tr=tbl3.getElementsByTagName("tr");
	}
	
	if(tr!=null){
		//循环所有tr元素，改变背景色；
		for(var i=0;i<tr.length;i++){
			tr[i].style.background="white";	
		}
	}
	
	intCurrentLine=intCurrentLine||0;
	var e=window.event||e||arguments.callee.caller.arguments[0];
	var currKey=e.keyCode;
	if(currKey==38){//键盘按下↑；
		if(intCurrentLine>=2){
			intCurrentLine--;
			tr[intCurrentLine-1].style.background="yellow";
		}else{
			tr[0].style.background="yellow";
		}
		return false;
	}
	if(currKey==40){//键盘按下↓；
		if(intCurrentLine<tr.length){
			intCurrentLine++;
		}
		tr[intCurrentLine-1].style.background="yellow";
		return false;
	}
	
	//根据同行的第三列生成项目数组（是在txtF存在值的情况下操作）；
	var arrinfoF=new Array();
	var arrinfoFsub=new Array();
	var arrinfoXM=new Array();
	arrinfoF=(document.getElementById("txtF"+intCurrentI).value).split("/");
	for(var i=0;i<arrinfoF.length;i++){
		arrinfoFsub=arrinfoF[i].split("-");
		//alert(arrinfoFsub[0]+';'+arrinfoFsub[1]+';'+arrinfoFsub[2]);
		arrinfoXM.push(arrinfoFsub[0]);
		arrinfoXM.push(arrinfoFsub[1]);
		arrinfoXM.push(arrinfoFsub[2]);
	}
	
	if(currKey==13){//键盘按下回车；
	    if(tbl2!=null){
			if(intCurrentLine!=0){
				document.getElementById("txtV"+intCurrentI).value=trim(tr[intCurrentLine-1].cells[0].innerHTML);
				document.getElementById("txtF"+intCurrentI).value=trim(tr[intCurrentLine-1].cells[0].innerHTML)+"-"+trim(tr[intCurrentLine-1].cells[1].innerHTML);
				//===========================================弹出核算项目输入界面；===========================================
				var $xm=trim(tr[intCurrentLine-1].cells[2].innerHTML);
				if($xm!=="空白"){
					document.getElementById("bg").style.display="block";
					document.getElementById("bg").style.height=document.body.scrollHeight;//网页正文全页高；
					document.getElementById("showForm").style.display="block";
					document.getElementById("showForm").style.top=document.body.scrollTop+150+"px";//网页被卷去的高+150px；
					//生成弹出界面元素；
					array1=$xm.split("/");//将会计科目提示表格中所选第三列值生成数组；
					document.getElementById("showForm").innerHTML="";
					for(var i=0;i<array1.length;i++){
						//查找字符串是否在数组中，并得出在数组的下标值，然后找出后面两个跟着的数组值；
						var s=arrinfoXM.indexOf(array1[i]);
						if(s==-1){//说明没有找到对应的项目；
							arrinfoXM[s+1]="";
							arrinfoXM[s+2]="";
						}
						if(array1[i]=="数量外币"){
							document.getElementById("showForm").innerHTML+='<table><tr><td width="100px"><font color="white">'+array1[i]+'</font></td>'
								+'<td><input id='+array1[i]+' type="text" value="'+arrinfoXM[s+1]+'" /></td></tr></table>';
						}else{
							document.getElementById("showForm").innerHTML+='<table><tr><td width="100px">'
								+'<input type="button" value="'+array1[i]+'" onclick="javascript:openInsertJCZL(this)" /></td>'
								+'<td><input id='+array1[i]+' type="text" onkeyup="showXM(this)" onkeyDown="kd()" value="'+arrinfoXM[s+1]+'" />'
								+'<br /><div id=divsg'+array1[i]+' style="display:none;position:absolute;background:blue;width:auto;height:270px;overflow:scroll;"></div></td>'
								+'<td><font color="white"><div id=divmx'+array1[i]+'>'+arrinfoXM[s+2]+'</div></font></td></tr></table>';
						}
					}
					document.getElementById("showForm").innerHTML+='<br /><input id="save1" type="button" onclick="closeShowForm();" value="数据暂存" />';
					document.getElementById(array1[0]).focus();
				}
				//============================================================================================================
				document.getElementById("divV"+intCurrentI).innerHTML="";
				document.getElementById("divV"+intCurrentI).style.display="none";
				e.returnValue=false;////IE阻止冒泡事件；
			}
		}else if(tbl3!=null){
			if(intCurrentLine!=0){
				document.activeElement.value=trim(tr[intCurrentLine-1].cells[0].innerHTML);
				document.getElementById("divmx"+document.activeElement.id).innerHTML=trim(tr[intCurrentLine-1].cells[1].innerHTML);
				document.getElementById("divsg"+document.activeElement.id).innerHTML="";
				document.getElementById("divsg"+document.activeElement.id).style.display="none";
				e.returnValue=false;//IE阻止冒泡事件；
			}
		}
	}
	
}

function balance(obj){//按下“＝”键自动找平借贷方；
	var e=window.event||e||arguments.callee.caller.arguments[0];
	var currKey=e.keyCode;
	var dbljg=0;
	//alert(currKey);
	if(currKey==187||currKey==229||currKey==61||currKey==0){
		if((obj.id).slice(0,5)=="txtDR"){
			dbljg=Number(document.getElementById("sumCr").value)-Number(document.getElementById("sumDr").value)+Number(obj.value);
			obj.value=dbljg.toFixed(2);
			sumV(1);//找平后重新计算加总；
		}else{
			dbljg=Number(document.getElementById("sumDr").value)-Number(document.getElementById("sumCr").value)+Number(obj.value);
			obj.value=dbljg.toFixed(2);
			sumV(2);//找平后重新计算加总；
		}
		e.returnValue=false;//IE阻止冒泡事件；
	}
}

function sumV(intDC){//自动加总借贷方和
    var sumV=0;
	if(intDC==1){
		for(var i=0;i<document.getElementsByName("dr[]").length;i++){
			sumV+=Number(document.getElementsByName("dr[]")[i].value);
		}
		document.getElementById("sumDr").value=sumV.toFixed(2);
	}else{
		for(var i=0;i<document.getElementsByName("cr[]").length;i++){
			sumV+=Number(document.getElementsByName("cr[]")[i].value);
		}
		document.getElementById("sumCr").value=sumV.toFixed(2);
	}
}

function insertTr(indexstr){//插入表格行操作；

	if (indexstr==""){
	    alert("请输入行号！");
		form1.tblIndex.focus();
		return false;
	}
	
	if (isNaN(indexstr)){
	    alert("行号必须为数字！");
		form1.tblIndex.focus();
		return false;
	}
	
	//新增的行号必须大于1，如果不是则在第一行新增；
	if (indexstr<1){
		indexstr=1;
	}
    
	//新增的行号必须小于表格的最大行号减2，如果不是则在最后一行新增；
	if(indexstr>document.getElementById("tbl1").getElementsByTagName("tr").length-2){
		indexstr=document.getElementById("tbl1").getElementsByTagName("tr").length-2
	}
	
	indexstr++;
	
	var newTR=document.getElementById("tbl1").insertRow(indexstr);
	var newTD0=newTR.insertCell(0);
	var newTD1=newTR.insertCell(1);
	var newTD2=newTR.insertCell(2);
	var newTD3=newTR.insertCell(3);
	var newTD4=newTR.insertCell(4);
	var newTD5=newTR.insertCell(5);
	
	intMaxTableTr++
	
	newTD0.innerHTML='<input id="txtXH'+intMaxTableTr+'" name="xh[]" type="text" disabled="disabled" style="width:40px;height:55px;"/>';
	newTD1.innerHTML='<textarea id="txtZY'+intMaxTableTr+'" name="zy[]" type="text" style="width:150px;height:55px;word-break:break-all"/></textarea></td>';
	newTD2.innerHTML='<td><textarea id="txtV'+intMaxTableTr+'" name="km[]" type="text" style="width:100px;height:55px" onkeyup="showAccount(this)" onkeyDown="kd()"/></textarea>';
	newTD2.innerHTML=newTD2.innerHTML+'<br /><div id="divV'+intMaxTableTr+'" style="display:none;position:absolute;background:blue;width:auto;height:270px;overflow:scroll;"></div>';
	newTD3.innerHTML='<textarea id="txtF'+intMaxTableTr+'" name="F[]" type="text" disabled="disabled" style="width:350px;height:55px"/></textarea>';
	newTD4.innerHTML='<input id="txtDR'+intMaxTableTr+'" name="dr[]" type="text" onchange="sumV(1)" onkeyDown="balance(this)" style="width:150px;height:55px;text-align:right"/>';
	newTD5.innerHTML='<input id="txtCR'+intMaxTableTr+'" name="cr[]" type="text" onchange="sumV(2)" onkeyDown="balance(this)" style="width:150px;height:55px;text-align:right"/>';
	
	//自动更新序号；
	var xhs=document.getElementsByName("xh[]");
	for(var i=0;i<xhs.length;i++){
		xhs[i].value=i+1;
    }
	
	//自动更新合计；
	sumV(1);
	sumV(2);
	
	//自动加载高亮显示；
	HighLight();
	
}

function dropTr(indexstr){//删除表格行操作；
	if (indexstr==""){
	    alert("请输入行号！");
		form1.tblIndex.focus();
		return false;
	}
	
	if (isNaN(indexstr)){
	    alert("行号必须为数字！");
		form1.tblIndex.focus();
		return false;
	}
	
	//删除的行号必须大于1；
	if (indexstr<1){
		alert("行号为负数！");
		form1.tblIndex.focus();
		return false;
	}
    
	//删除的行号不能大于表格行数减2；
	if(indexstr>=document.getElementById("tbl1").getElementsByTagName("tr").length-2){
		alert("行号数过大！");
		form1.tblIndex.focus();
		return false;
	}
	
	//删除行时必须保证表格最少有4行;
	if(document.getElementById("tbl1").getElementsByTagName("tr").length<5){
		alert("凭证表格最低需要保持两行！");
		form1.tblIndex.focus();
		return false;
	}
	
	indexstr++;
	
	document.getElementById("tbl1").deleteRow(indexstr);
	
	//自动更新序号；
	var xhs=document.getElementsByName("xh[]");
	for(var i=0;i<xhs.length;i++){
		xhs[i].value=i+1;
    }
	
	//自动更新合计；
	sumV(1);
	sumV(2);
	
}

function tjpz(){//提交凭证表格
    
	//判断会计科目提示表格是否存在；
	var tbl2=document.getElementById("tbl2");//会计科目提示表格；
	if(tbl2){
		alert("请使用选择器录入会计科目！");
		return false;
	}
	
    var rqyz=/^(\d{4})-(\d{1,2})-(\d{1,2})$/;
	if(!rqyz.test(document.getElementById("ywrq").value)){
		alert("业务日期格式不正确！");
		document.getElementById("ywrq").focus();
		return false;
	}
	if(!rqyz.test(document.getElementById("lrrq").value)){
		alert("录入日期格式不正确！");
		document.getElementById("lrrq").focus();
		return false;
	}
	if(isNaN(document.getElementById("pzh").value)){
		alert("凭证号必须为数字！");
		document.getElementById("pzh").focus();
		return false;
	}
	if(document.getElementsByName("km[]").item(0).value==""||document.getElementsByName("km[]").item(1).value==""){
		alert("至少保证凭证有两行数据！");
		return false;
	}
	if(document.getElementById("sumDr").value!=document.getElementById("sumCr").value){
		alert("借贷方合不相等！");
		return false;
	}
	
	//凭证借贷方不能同时存在数据或者同时不存在任何数据；
	for(var i=0;i<document.getElementsByName("km[]").length;i++){
		if(document.getElementsByName("km[]").item(i).value!=""){
			if(document.getElementsByName("dr[]").item(i).value==""&&document.getElementsByName("cr[]").item(i).value==""){
				alert("借贷方不能同时为空值！");
				return false;
			}
			if(document.getElementsByName("dr[]").item(i).value!=""&&document.getElementsByName("cr[]").item(i).value!=""){
				alert("借贷方不能同时存在数值！");
				return false;
			}
		}
	}

	//构造原生JSON数组；
	//该处的凭证号信息是由：原凭证的期间+原凭证号+新凭证号 组成，如果是新增凭证，如该值为：0+0+新凭证号；
    var v1='{"ywrq":"'+document.getElementById("ywrq").value+'","lrrq":"'+document.getElementById("lrrq").value+'","pzh":"'+document.getElementById("oldPz").value+','+document.getElementById("pzh").value+'"}';
	var v2;
	for(var i=0;i<document.getElementsByName("km[]").length;i++){
	    if(document.getElementsByName("km[]").item(i).value!=""){
			if(v2==undefined || v2==""){
			    v2='{"zy":"'+document.getElementsByName("zy[]").item(i).value+'","km":"'+trim(document.getElementsByName("km[]").item(i).value)+'","f":"'+document.getElementsByName("F[]").item(i).value+'","dr":"'+document.getElementsByName("dr[]").item(i).value+'","cr":"'+document.getElementsByName("cr[]").item(i).value+'"}';
			}else{
				v2=v2+',{"zy":"'+document.getElementsByName("zy[]").item(i).value+'","km":"'+trim(document.getElementsByName("km[]").item(i).value)+'","f":"'+document.getElementsByName("F[]").item(i).value+'","dr":"'+document.getElementsByName("dr[]").item(i).value+'","cr":"'+document.getElementsByName("cr[]").item(i).value+'"}';
			}
		}else{
			break;
		}
	}

	v2='['+v2+']';
	v1=encodeURIComponent(v1);
	v2=encodeURIComponent(v2);
	
	//提交数组至服务器；
	var Vbody="v1="+v1+"&v2="+v2;
	request.open("POST","V_save.php");
	request.setRequestHeader("Content-type","application/x-www-form-urlencoded");
	request.send(Vbody);
	
	request.onreadystatechange=function(){
		if(request.readyState==4){
			if(request.status==200){
				if((request.responseText).indexOf('凭证保存成功')!=-1){
					//将后台保证的凭证号写入当前凭证号控件中；
					document.getElementById('pzh').value=(request.responseText).substring(14);
				}
                alert(request.responseText);
			}
		}
	}	
}
//-->
</script>

<?php
if(($_SERVER['REQUEST_METHOD']=='GET')&&isset($_GET[qj])&&isset($_GET[pzh])){//修改、复制凭证页面提交的参数；
    include("cnn.php");
	$strsql='select ywrq,lrrq,pzh,xh,zy,km,kmF,dr,cr,etr,chk from V1 where qj="'.$_GET[qj].'" and pzh="'.$_GET[pzh].'" order by xh asc';
	$sql=$mysqli->query($strsql);
    $info=$sql->fetch_array(MYSQLI_BOTH);
    if($info){ //如果存在数据；
	    $chkV=$info[chk];//指定凭证是否审核变量；
	    //写凭证表头；
		if($_GET[handle]=='copyV'){//复制凭证；
		    echo '<title>复制凭证—恩格会计管理系统</title>';
			echo '<form name="form1" action="" method="post">
				  <div align="center">
				  <h1>会计凭证</h1>
				  </div>
				  <table id="tbl1" align="center" border="1" cellspacing="0">
				  <tr>
				  <td colspan="6" style="border:0;" align="center">
				  业务日期：<input id="ywrq" type="text" />
				  录入日期：<input id="lrrq" type="text" />
				  凭证号：<input id="pzh" type="text" />
				  </td>
				  </tr>
				  <tr bgcolor="#CCCCCC" align="center">
				  <td><b>序号</b></td>
				  <td><font color="blue"><b>摘要</b></font></td>
				  <td><font color="blue"><b>会计科目</b></font></td>
				  <td><b>全称</b></td>
				  <td><font color="blue"><b>借方</b></font></td>
				  <td><font color="blue"><b>贷方</b></font></td>
				  </tr> ';
			echo '<script language="javascript" type="text/javascript">
				  <!--
				  var $CurrentDate=new Date;
				  document.getElementById("ywrq").value=$CurrentDate.getFullYear()+"-"+($CurrentDate.getMonth()+1)+"-"+$CurrentDate.getDate();
				  document.getElementById("lrrq").value=$CurrentDate.getFullYear()+"-"+($CurrentDate.getMonth()+1)+"-"+$CurrentDate.getDate();
				  //-->
				  </script>';
		}else{//修改、查看凭证；
		    if($chkV==""){
				echo '<title>修改凭证—恩格会计管理系统</title>';
			}else{
				echo '<title>查阅凭证—恩格会计管理系统</title>';
			}
			echo '<form name="form1" action="" method="post">
				  <div align="center">
				  <h1>会计凭证</h1>
				  </div>
				  <table id="tbl1" align="center" border="1" cellspacing="0">
				  <tr>
				  <td colspan="6" style="border:0;" align="center">
				  业务日期：<input id="ywrq" type="text" value='.$info[ywrq].' />
				  录入日期：<input id="lrrq" type="text" value='.$info[lrrq].' />
				  凭证号：<input id="pzh" type="text" value='.$info[pzh].' />
				  </td>
				  </tr>
				  <tr bgcolor="#CCCCCC" align="center">
				  <td><b>序号</b></td>
				  <td><font color="blue"><b>摘要</b></font></td>
				  <td><font color="blue"><b>会计科目</b></font></td>
				  <td><b>全称</b></td>
				  <td><font color="blue"><b>借方</b></font></td>
				  <td><font color="blue"><b>贷方</b></font></td>
				  </tr> ';
		}
		//写凭证表体；
		$sumDr=0;
		$sumCr=0;
		DO{
            echo '<tr>
				  <td><input id="txtXH'.$info[xh].'" name="xh[]" type="text" disabled="disabled" value='.$info[xh].' style="width:40px;height:55px;"/></td>
				  <td><textarea id="txtZY'.$info[xh].'" name="zy[]" type="text" style="width:150px;height:55px;word-break:break-all"/>'.$info[zy].'</textarea></td>
				  <td><textarea id="txtV'.$info[xh].'" name="km[]" type="text" style="width:100px;height:55px" onkeyup="showAccount(this)" onkeyDown="kd()"/>'.$info[km].'</textarea><br />
				  <div id="divV'.$info[xh].'" name="vv[]" style="display:none;position:absolute;background:blue;width:auto;height:270px;overflow:scroll;"></div></td>
				  <td><textarea id="txtF'.$info[xh].'" name="F[]" type="text" disabled="disabled" style="width:350px;height:55px"/>'.$info[kmF].'</textarea></td>
				  <td><input id="txtDR'.$info[xh].'" name="dr[]" type="text" value="'.($info[dr]==0?"":$info[dr]).'" onchange="sumV(1)" onkeyDown="balance(this)" style="width:150px;height:55px;text-align:right"/></td>
				  <td><input id="txtCR'.$info[xh].'" name="cr[]" type="text" value="'.($info[cr]==0?"":$info[cr]).'" onchange="sumV(2)" onkeyDown="balance(this)" style="width:150px;height:55px;text-align:right"/></td>
				  </tr>';
			$sumDr+=$info[dr];
			$sumCr+=$info[cr];
		}while($info=$sql->fetch_array(MYSQLI_BOTH));
		
		$sql->free();
		$mysqli->close();
		
		if($_GET[handle]=='copyV'){//复制凭证(相当于新增一张凭证并保存)；
			//写操作控件，定义隐藏域来记录被复制凭证的期间和凭证号信息,0+0;
			echo '<tr>
				  <td colspan="4">小计：</td>
				  <td><input id="sumDr" disabled="disabled" type="text" value="'.$sumDr.'" style="width:150px;height:30px;text-align:right"/></td>
				  <td><input id="sumCr" disabled="disabled" type="text" value="'.$sumCr.'" style="width:150px;height:30px;text-align:right"/></td>
				  </tr>
				  </table>
				  <div id="FloatCMD" align="center" style=" width:130px;position:absolute;background-color:blue;border-radius:15px 15px 15px 15px;">
				  <br/>
				  <table border="0">
                  <tr><td>
				  <input id="tj" type="button" style="width:100px" onclick="tjpz()" value="保存复制" />
				  <input type="hidden" id="oldPz" value="0,0" />
				  </td></tr>
                  <tr><td>
				  <font color="white">在第<input id="tblIndex" type="text" style="width:30px" />行处</font>
				  </td></tr>
                  <tr><td>
				  <input id="insertTr1" type="button" style="width:100px" onclick="insertTr(this.form.tblIndex.value)" value="新增一行" />
				  </td></tr>
                  <tr><td>
				  <input id="dropTr1" type="button" style="width:100px" onclick="dropTr(this.form.tblIndex.value)" value="删除一行" />
				  </td></tr>
                  </table>
				  <br/>
				  </div>
				  </form>';
		}else if($chkV==""){//修改凭证（未审核凭证可修改）；
			//写操作控件，定义隐藏域来记录被修改凭证的期间和凭证号信息；
			echo '<tr>
				  <td colspan="4">小计：</td>
				  <td><input id="sumDr" disabled="disabled" type="text" value="'.$sumDr.'" style="width:150px;height:30px;text-align:right"/></td>
				  <td><input id="sumCr" disabled="disabled" type="text" value="'.$sumCr.'" style="width:150px;height:30px;text-align:right"/></td>
				  </tr>
				  </table>
				  <div id="FloatCMD" align="center" style=" width:130px;position:absolute;background-color:blue;border-radius:15px 15px 15px 15px;">
				  <br/>
				  <table border="0">
                  <tr><td>
				  <input id="tj" type="button" style="width:100px" onclick="tjpz()" value="保存修改" />
				  <input type="hidden" id="oldPz" value="'.$_GET[qj].','.$_GET[pzh].'" />
				  </td></tr>
                  <tr><td>
				  <font color="white">在第<input id="tblIndex" type="text" style="width:30px" />行处</font>
				  </td></tr>
                  <tr><td>
				  <input id="insertTr1" type="button" style="width:100px" onclick="insertTr(this.form.tblIndex.value)" value="新增一行" />
				  </td></tr>
                  <tr><td>
				  <input id="dropTr1" type="button" style="width:100px" onclick="dropTr(this.form.tblIndex.value)" value="删除一行" />
				  </td></tr>
                  </table>
				  <br/>
				  </div>
				  </form>';
		}else{//已审核凭证或者查看凭证；
			//写操作控件，定义隐藏域来记录被修改凭证的期间和凭证号信息；
			echo '<tr>
				  <td colspan="4">小计：</td>
				  <td><input id="sumDr" disabled="disabled" type="text" value="'.$sumDr.'" style="width:150px;height:30px;text-align:right"/></td>
				  <td><input id="sumCr" disabled="disabled" type="text" value="'.$sumCr.'" style="width:150px;height:30px;text-align:right"/></td>
				  </tr>
				  </table>
				  </form>';
		}
	}else{//如果不存在数据；
		echo '<div align="center"><font color="red">该凭证不存在，请检查原因！</font></div>';
	}
}else{//新增页面凭证表头及表体设置

?>

<form name="form1" action="" method="post">
<div align="center">
<h1>会计凭证</h1>
</div>
<table id="tbl1" align="center" border="1" cellspacing="0">
<tr>
<td colspan="6" style="border:0;" align="center">
业务日期：<input id="ywrq" type="text" />
录入日期：<input id="lrrq" type="text" />
凭证号：<input id="pzh" type="text" />
<script language="javascript" type="text/javascript">
<!--
var $CurrentDate=new Date;
document.getElementById("ywrq").value=$CurrentDate.getFullYear()+"-"+($CurrentDate.getMonth()+1)+"-"+$CurrentDate.getDate();
document.getElementById("lrrq").value=$CurrentDate.getFullYear()+"-"+($CurrentDate.getMonth()+1)+"-"+$CurrentDate.getDate();
//-->
</script>
</td>
</tr>
<tr bgcolor="#CCCCCC" align="center">
<td><b>序号</b></td>
<td><font color="blue"><b>摘要</b></font></td>
<td><font color="blue"><b>会计科目</b></font></td>
<td><b>全称</b></td>
<td><font color="blue"><b>借方</b></font></td>
<td><font color="blue"><b>贷方</b></font></td>
</tr> 

<?php
//采用for循环写出十行表格；
for($i=1;$i<=10;$i++){
echo '<tr>
	  <td><input id="txtXH'.$i.'" name="xh[]" type="text" disabled="disabled" value='.$i.' style="width:40px;height:55px;"/></td>
	  <td><textarea id="txtZY'.$i.'" name="zy[]" type="text" style="width:150px;height:55px;word-break:break-all"/></textarea></td>
	  <td><textarea id="txtV'.$i.'" name="km[]" type="text" style="width:100px;height:55px" onkeyup="showAccount(this)" onkeyDown="kd()"/></textarea><br />
	  <div id="divV'.$i.'" name="vv[]" style="display:none;position:absolute;background:blue;width:auto;height:270px;overflow:scroll;"></div></td>
	  <td><textarea id="txtF'.$i.'" name="F[]" type="text" disabled="disabled" style="width:350px;height:55px"/></textarea>
	  <td><input id="txtDR'.$i.'" name="dr[]" type="text" onchange="sumV(1)" onkeyDown="balance(this)" style="width:150px;height:55px;text-align:right"/></td>
	  <td><input id="txtCR'.$i.'" name="cr[]" type="text" onchange="sumV(2)" onkeyDown="balance(this)" style="width:150px;height:55px;text-align:right"/></td>
	  </tr>';
}
?>

<tr>
<td colspan="4">小计：</td>
<td><input id="sumDr" disabled="disabled" type="text" value="0" style="width:150px;height:30px;text-align:right"/></td>
<td><input id="sumCr" disabled="disabled" type="text" value="0" style="width:150px;height:30px;text-align:right"/></td>
</tr>
</table>
<div id="FloatCMD" align="center" style=" width:130px;position:absolute;background-color:blue;border-radius:15px 15px 15px 15px;">
<br/>
<table border="0">
<tr><td>
<input id="tj" type="button" onclick="tjpz()" style="width:100px" value="新增保存" />
<input type="hidden" id="oldPz" value="0,0" />
</td></tr>
<tr><td>
<font color="white">在第<input id="tblIndex" type="text" style="width:30px" />行处</font>
</td></tr>
<tr><td>
<input id="insertTr1" type="button" style="width:100px" onclick="insertTr(this.form.tblIndex.value)" value="新增一行" />
</td></tr>
<tr><td>
<input id="dropTr1" type="button" style="width:100px" onclick="dropTr(this.form.tblIndex.value)" value="删除一行" />
</td></tr>
</table>
<br/>
</div>
</form>

<?php
}
?>

<div id="bg"></div>
<div id="showForm"></div>

<script language="javascript" type="text/javascript">
<!--
//操作控件按钮自动跟随会计凭证表格；
function dMove(){
	try{
		var d_top=window.pageYOffset||document.documentElement.scrollTop||document.body.scrollTop||0;
		//var d_width=document.body.clientWidth;
		var d_width1=document.getElementById("tbl1").offsetLeft;
		var d_width2=document.getElementById("tbl1").offsetWidth;
		var d_width3=d_width1+d_width2;
		document.getElementById("FloatCMD").style.top=d_top+200+'px';
		document.getElementById("FloatCMD").style.left=d_width3+20+'px';
		setTimeout("dMove();",250);
	}catch(error){
		
	}finally{
		
	}
}
dMove();
//自动加载高亮显示；
HighLight();
//自动更新合计；
sumV(1);
sumV(2);
//-->
</script>

<?php include("footer.php");?>